View Single Post
Old 01-10-09, 06:49 PM   #8
nevion
Registered User
 
Join Date: Dec 2004
Posts: 74
Default Re: openSuSe 11.1 & NVIDIA 180.22 Driver

your xorg log says you have an api mismatch and that your kernel module has version is 177.82. So there's some issue with the kernel module it would seem. x can load/unload the module on demand, so that must be snagging the wrong kernel module. When you install 188.22, it will test load that module using insmod or something from where it is built, so that is why installation succeeds.

Try this and post your output.
Code:
find /lib/modules/`uname -r`|grep -i nvidia
This outputs (for me, with 188.22 installed +11.1 oS):
Code:
/lib/modules/2.6.27.7-9-default/kernel/drivers/video/nvidia.ko
/lib/modules/2.6.27.7-9-default/kernel/drivers/video/nvidia
/lib/modules/2.6.27.7-9-default/kernel/drivers/video/nvidia/nvidiafb.ko
/lib/modules/2.6.27.7-9-default/kernel/drivers/video/backlight/mbp_nvidia_bl.ko
and your card is supported...
nevion is offline   Reply With Quote